package ch.pizzapp.android.model;

import com.google.gson.annotations.SerializedName;

public class StoreWorkDayModel {

    @SerializedName("begin")
    private String shiftStartTime;

    @SerializedName("paydos_baslangic")
    private String breakStartTime;

    @SerializedName("paydos_bitis")
    private String breakEndTime;

    @SerializedName("end")
    private String shiftEndTime;

    public void checkNull(){
        if(shiftStartTime == null){
            shiftStartTime = "00:00";
        }
        if(breakStartTime == null){
            breakStartTime = "00:00";
        }
        if(breakEndTime == null){
            breakEndTime = "00:00";
        }
        if(shiftEndTime == null){
            shiftEndTime = "00:00";
        }
    }

    public String getShiftStartTime() {
        return shiftStartTime;
    }

    public void setShiftStartTime(String shiftStartTime) {
        this.shiftStartTime = shiftStartTime;
    }

    public String getBreakStartTime() {
        return breakStartTime;
    }

    public void setBreakStartTime(String breakStartTime) {
        this.breakStartTime = breakStartTime;
    }

    public String getBreakEndTime() {
        return breakEndTime;
    }

    public void setBreakEndTime(String breakEndTime) {
        this.breakEndTime = breakEndTime;
    }

    public String getShiftEndTime() {
        return shiftEndTime;
    }

    public void setShiftEndTime(String shiftEndTime) {
        this.shiftEndTime = shiftEndTime;
    }
}
